Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fDateRange

    java.lang.Object
      jet.connect.DbValue
          jet.formula.fArray
              jet.formula.fRange
                  jet.formula.fDateRange

    public class fDateRange

extends fRange

the internal representative of the date range datatype of the JetReport Formula

Field Summary

Fields inherited from class jet.formula.fArray
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`fDateRange()`
`fDateRange(DbValue[] val, boolean b)`
`fDateRange(DbValue end, DbValue begin)`
`fDateRange(int arraysize)`

Method Summary
`java.lang.Object` | `clone()` Creates a clone of this DbValue variable.

Methods inherited from class jet.formula.fRange
`toString`

Methods inherited from class jet.formula.fArray
`compareTo, equals, getArray, getInstance, getSpecialInstance, set, set, set, setValue`

Methods inherited from class jet.connect.DbValue
`equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### fDateRange

    public fDateRange()

### fDateRange

    public fDateRange(int arraysize)

### fDateRange

    public fDateRange(DbValue end,
                      DbValue begin)

### fDateRange

    public fDateRange(DbValue[] val,
                      boolean b)

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from class: `DbValue`
  Creates a clone of this DbValue variable.

  Specified by:
    `clone` in class `DbValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD